Subject: bug#45923: Hot to intall Guile without Make

From: <[email-masked]>
Date: Sun, 17 Jan 2021 09:56:04 +0100

On Sat, Jan 16, 2021 at 11:42:18PM +0100, [email-masked] wrote:
> Hello everyone,     I'm very sorry, if this is the wrong mail adress
> for my problem, but I couldn't find another to seek for help. I
> just thought that you are probably the expert for my question and
> are maybe willing to help me :)   Today I installed Linux (Manjaro)
> for the first time in my life on my brother's computer. To install
> the drivers for the "WiFi USB dongle" from a CD I need to install
> Make. Having spend the whole day to figuring out how to get most
> of the packages from "base-devel" installed without an internet
> connection, I'm left with installing Guile to finally install
> Make to be able to connect to the internet. Unfortunately,
> some versions of Guile that I encountered need a PGP-key to
> install, which results in an error message, since I have no
> internet connection. On the other hand, if I follow along your guide on
> (https://www.gnu.org/software/guile/manual/html_node/Obtaining-and-Installing-Guile.html)
> I need Make again, which I want to install in the first place.
> So is there a way to install Guile or Make on Manjaro without an
> internet connection and without having already installed one of them?
> Kind Regards, Paul Ebert

Hi, Paul

this is most probably the wrong list for that: this is the
Guile bug tracker. But no worries -- no harm done. Things
happen :)

Now to your original problem. I can't say for sure, because
lots of details are missing (and because I am not an expert
on Manjaro), but I am almost sure that you don't need to
install Guile to get Make running. They are (mostly) independent
of each other.

As seen from here, you best contact one of your local Linux
user groups and try to find a Manjaro (or Arch, since those
distributions are closely related) expert.

Don't hesitate to contact me via direct mail if you need
any further help. German language OK, too :)

@devels: I'd close this bug all by myself, but I'm unsure
whether I'm supposed/allowed to do so. Teach me, and you'll
have less work next time :^)

Cheers
-- tomás